# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_NUM_BYTES" -parent ${Page_0} -widget comboBox
  ipgui::add_param $IPINST -name "C_USE_WAKEUP" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_USE_GPIO" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_USE_SIWU" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_USE_RESET" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_USE_TDEST" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_DEST_WIDTH" -parent ${Page_0} -widget comboBox
  ipgui::add_param $IPINST -name "C_USE_DBG" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_DEST_WIDTH { PARAM_VALUE.C_DEST_WIDTH } {
	# Procedure called to update C_DEST_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_DEST_WIDTH { PARAM_VALUE.C_DEST_WIDTH } {
	# Procedure called to validate C_DEST_WIDTH
	return true
}

proc update_PARAM_VALUE.C_NUM_BYTES { PARAM_VALUE.C_NUM_BYTES } {
	# Procedure called to update C_NUM_BYTES when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_NUM_BYTES { PARAM_VALUE.C_NUM_BYTES } {
	# Procedure called to validate C_NUM_BYTES
	return true
}

proc update_PARAM_VALUE.C_USE_DBG { PARAM_VALUE.C_USE_DBG } {
	# Procedure called to update C_USE_DBG when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_DBG { PARAM_VALUE.C_USE_DBG } {
	# Procedure called to validate C_USE_DBG
	return true
}

proc update_PARAM_VALUE.C_USE_GPIO { PARAM_VALUE.C_USE_GPIO } {
	# Procedure called to update C_USE_GPIO when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_GPIO { PARAM_VALUE.C_USE_GPIO } {
	# Procedure called to validate C_USE_GPIO
	return true
}

proc update_PARAM_VALUE.C_USE_RESET { PARAM_VALUE.C_USE_RESET } {
	# Procedure called to update C_USE_RESET when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_RESET { PARAM_VALUE.C_USE_RESET } {
	# Procedure called to validate C_USE_RESET
	return true
}

proc update_PARAM_VALUE.C_USE_SIWU { PARAM_VALUE.C_USE_SIWU } {
	# Procedure called to update C_USE_SIWU when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_SIWU { PARAM_VALUE.C_USE_SIWU } {
	# Procedure called to validate C_USE_SIWU
	return true
}

proc update_PARAM_VALUE.C_USE_TDEST { PARAM_VALUE.C_USE_TDEST } {
	# Procedure called to update C_USE_TDEST when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_TDEST { PARAM_VALUE.C_USE_TDEST } {
	# Procedure called to validate C_USE_TDEST
	return true
}

proc update_PARAM_VALUE.C_USE_WAKEUP { PARAM_VALUE.C_USE_WAKEUP } {
	# Procedure called to update C_USE_WAKEUP when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_USE_WAKEUP { PARAM_VALUE.C_USE_WAKEUP } {
	# Procedure called to validate C_USE_WAKEUP
	return true
}


proc update_MODELPARAM_VALUE.C_NUM_BYTES { MODELPARAM_VALUE.C_NUM_BYTES PARAM_VALUE.C_NUM_BYTES } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_NUM_BYTES}] ${MODELPARAM_VALUE.C_NUM_BYTES}
}

proc update_MODELPARAM_VALUE.C_USE_GPIO { MODELPARAM_VALUE.C_USE_GPIO PARAM_VALUE.C_USE_GPIO } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_GPIO}] ${MODELPARAM_VALUE.C_USE_GPIO}
}

proc update_MODELPARAM_VALUE.C_USE_SIWU { MODELPARAM_VALUE.C_USE_SIWU PARAM_VALUE.C_USE_SIWU } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_SIWU}] ${MODELPARAM_VALUE.C_USE_SIWU}
}

proc update_MODELPARAM_VALUE.C_USE_WAKEUP { MODELPARAM_VALUE.C_USE_WAKEUP PARAM_VALUE.C_USE_WAKEUP } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_WAKEUP}] ${MODELPARAM_VALUE.C_USE_WAKEUP}
}

proc update_MODELPARAM_VALUE.C_USE_RESET { MODELPARAM_VALUE.C_USE_RESET PARAM_VALUE.C_USE_RESET } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_RESET}] ${MODELPARAM_VALUE.C_USE_RESET}
}

proc update_MODELPARAM_VALUE.C_USE_TDEST { MODELPARAM_VALUE.C_USE_TDEST PARAM_VALUE.C_USE_TDEST } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_TDEST}] ${MODELPARAM_VALUE.C_USE_TDEST}
}

proc update_MODELPARAM_VALUE.C_DEST_WIDTH { MODELPARAM_VALUE.C_DEST_WIDTH PARAM_VALUE.C_DEST_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_DEST_WIDTH}] ${MODELPARAM_VALUE.C_DEST_WIDTH}
}

proc update_MODELPARAM_VALUE.C_USE_DBG { MODELPARAM_VALUE.C_USE_DBG PARAM_VALUE.C_USE_DBG } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_USE_DBG}] ${MODELPARAM_VALUE.C_USE_DBG}
}

