set_property IOSTANDARD LVCMOS33 [get_ports {FT60X_be[*]}]
set_property PULLUP true [get_ports {FT60X_be[*]}]
set_property IOB true [get_ports {FT60X_be[*]}]

set_property IOSTANDARD LVCMOS33 [get_ports {FT60X_data[*]}]
set_property PULLUP true [get_ports {FT60X_data[*]}]
set_property IOB true [get_ports {FT60X_data[*]}]

set_property IOSTANDARD LVCMOS33 [get_ports FT60X_clk]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_oe_n]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_rd_n]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_rxf_n]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_txe_n]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_wr_n]
set_property IOSTANDARD LVCMOS33 [get_ports FT60X_siwu_n]

set_property PACKAGE_PIN E2 [get_ports FT60X_clk]

set_property PULLUP true [get_ports FT60X_rxf_n]
set_property PULLUP true [get_ports FT60X_txe_n]

set_property IOB true [get_ports FT60X_rxf_n]
set_property IOB true [get_ports FT60X_txe_n]


set_property IOB true [get_ports FT60X_rd_n]
set_property IOB true [get_ports FT60X_wr_n]
set_property IOB true [get_ports FT60X_oe_n]


set_property PACKAGE_PIN H1 [get_ports {FT60X_data[0]}]
set_property PACKAGE_PIN F1 [get_ports {FT60X_data[1]}]
set_property PACKAGE_PIN G1 [get_ports {FT60X_data[2]}]
set_property PACKAGE_PIN E1 [get_ports {FT60X_data[3]}]
set_property PACKAGE_PIN C1 [get_ports {FT60X_data[4]}]
set_property PACKAGE_PIN B1 [get_ports {FT60X_data[5]}]
set_property PACKAGE_PIN C2 [get_ports {FT60X_data[6]}]
set_property PACKAGE_PIN A1 [get_ports {FT60X_data[7]}]
set_property PACKAGE_PIN B2 [get_ports {FT60X_data[8]}]
set_property PACKAGE_PIN A3 [get_ports {FT60X_data[9]}]
set_property PACKAGE_PIN B3 [get_ports {FT60X_data[10]}]
set_property PACKAGE_PIN A4 [get_ports {FT60X_data[11]}]
set_property PACKAGE_PIN B6 [get_ports {FT60X_data[12]}]
set_property PACKAGE_PIN D8 [get_ports {FT60X_data[13]}]
set_property PACKAGE_PIN B7 [get_ports {FT60X_data[14]}]
set_property PACKAGE_PIN C7 [get_ports {FT60X_data[15]}]
set_property PACKAGE_PIN C6 [get_ports {FT60X_be[0]}]
set_property PACKAGE_PIN C5 [get_ports {FT60X_be[1]}]

set_property PACKAGE_PIN J4 [get_ports FT60X_oe_n]
set_property PACKAGE_PIN H4 [get_ports FT60X_rd_n]
set_property PACKAGE_PIN H2 [get_ports FT60X_rxf_n]
set_property PACKAGE_PIN G2 [get_ports FT60X_txe_n]
set_property PACKAGE_PIN G6 [get_ports FT60X_wr_n]

set_property PACKAGE_PIN F6 [get_ports FT60X_siwu_n]

